Bug 1301515 - gnome-terminal-nautilus : ~/.bash_profile inactive
gnome-terminal-nautilus : ~/.bash_profile inactive
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 04:30 EST by Shnoulle
Modified: 2016-11-25 03:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resolution by settings (17.16 KB, image/png)
2016-06-20 16:28 EDT, Shnoulle
no flags Details

  None (edit)
Description Shnoulle 2016-01-25 04:30:56 EST
gnome-terminal-nautilus don't read .bash_profile (unable to update $PATH for example)


gnome-terminal-nautilus.x86_64 3.18.2-1.fc23


How reproducible:
Always

Steps to Reproduce:
1. Install gnome-terminal-nautilus
2. Open Nautilus and go to a directory
3. Right click to open a new terminal
4. echo $PATH (no $HOME/.local/bin:$HOME/bin:)

Actual results:
/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin

Expected results:
/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/user/.local/bin:/home/user/bin:

Additional info:
.bah_profile is the efault from a clean installation
Expected result is the result with :
- gnome-terminal
- ROXTerm
- tty terminal
Comment 1 Shnoulle 2016-06-20 16:28 EDT
Created attachment 1169988 [details]
Resolution by settings

Settings resolve the issue, must be default ?
Comment 2 Carwyn Edwards 2016-11-08 21:37:39 EST
Are you sure this isn't bug 1388776 relating to .bash_profile not being applied if wayland is used?
Comment 3 Kamil Páral 2016-11-09 04:49:01 EST
No, this is not a wayland bug. If you use nautilus-open-terminal even under X11, it does not source the same files as running the terminal in a standard way.
Comment 4 Fedora End Of Life 2016-11-24 10:09:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.